import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { L as ListPolicySnapshotsByBookingIdsResponse } from './bookings-policy-snapshots-v1-booking-policy-snapshot-booking-policy-snapshots.universal-CSB1KNBv.mjs';
export { A as ActionEvent, a as BookingPolicy, B as BookingPolicySnapshot, b as CancellationFeePolicy, C as CancellationPolicy, c as CancellationWindow, d as CancellationWindowFeeOneOf, D as DomainEvent, f as DomainEventBodyOneOf, j as Empty, E as EntityCreatedEvent, i as EntityDeletedEvent, h as EntityUpdatedEvent, e as ListPolicySnapshotsByBookingIdsRequest, M as Money, P as PolicyDescription, R as ReschedulePolicy, g as RestoreInfo, S as SaveCreditCardPolicy } from './bookings-policy-snapshots-v1-booking-policy-snapshot-booking-policy-snapshots.universal-CSB1KNBv.mjs';

declare function listPolicySnapshotsByBookingIds$1(httpClient: HttpClient): ListPolicySnapshotsByBookingIdsSignature;
interface ListPolicySnapshotsByBookingIdsSignature {
    /**
     * Retrieves a list of booking policy snapshots by booking IDs
     * ([SDK](https://dev.wix.com/docs/sdk/backend-modules/bookings/bookings/introduction) | [REST](https://dev.wix.com/docs/rest/business-solutions/bookings/bookings/about-the-bookings-apis)).
     * @param - List of booking IDs to retrieve policy snapshots for.
     */
    (bookingIds: string[]): Promise<ListPolicySnapshotsByBookingIdsResponse>;
}

declare const listPolicySnapshotsByBookingIds: MaybeContext<BuildRESTFunction<typeof listPolicySnapshotsByBookingIds$1> & typeof listPolicySnapshotsByBookingIds$1>;

export { ListPolicySnapshotsByBookingIdsResponse, listPolicySnapshotsByBookingIds };
